org.openstreetmap.josm.plugins.streetside.io.export

## Class StreetsideExportDownloadThread

- java.lang.Object
- - java.lang.Thread
  - - org.openstreetmap.josm.plugins.streetside.io.export.StreetsideExportDownloadThread

- All Implemented Interfaces:
    java.lang.Runnable, org.openstreetmap.josm.data.cache.ICachedLoaderListener

      public class StreetsideExportDownloadThread
      extends java.lang.Thread
      implements org.openstreetmap.josm.data.cache.ICachedLoaderListener

  This is the thread that downloads one of the images that are going to be exported and writes them in a `ArrayBlockingQueue`.
  See Also:
    `StreetsideExportManager`, `StreetsideExportWriterThread`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

    - ### Nested classes/interfaces inherited from interface org.openstreetmap.josm.data.cache.ICachedLoaderListener

      `org.openstreetmap.josm.data.cache.ICachedLoaderListener.LoadResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private StreetsideImage` | `image`
    `(package private) static org.apache.log4j.Logger` | `logger`
    `private java.util.concurrent.ArrayBlockingQueue<java.awt.image.BufferedImage>` | `queue`
    `private java.util.concurrent.ArrayBlockingQueue<StreetsideAbstractImage>` | `queueImages`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideExportDownloadThread(StreetsideImage image, java.util.concurrent.ArrayBlockingQueue<java.awt.image.BufferedImage> queue, java.util.concurrent.ArrayBlockingQueue<StreetsideAbstractImage> queueImages)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `loadingFinished(org.openstreetmap.josm.data.cache.CacheEntry data, org.openstreetmap.josm.data.cache.CacheEntryAttributes attributes, org.openstreetmap.josm.data.cache.ICachedLoaderListener.LoadResult result)`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          static final org.apache.log4j.Logger logger

    - #### queue

          private final java.util.concurrent.ArrayBlockingQueue<java.awt.image.BufferedImage> queue

    - #### queueImages

          private final java.util.concurrent.ArrayBlockingQueue<StreetsideAbstractImage> queueImages

    - #### image

          private final StreetsideImage image

  - ### Constructor Detail

    - #### StreetsideExportDownloadThread

          public StreetsideExportDownloadThread(StreetsideImage image,
                                                java.util.concurrent.ArrayBlockingQueue<java.awt.image.BufferedImage> queue,
                                                java.util.concurrent.ArrayBlockingQueue<StreetsideAbstractImage> queueImages)

      Main constructor.
      Parameters:
        `image` - Image to be downloaded.
        `queue` - Queue of `BufferedImage` objects for the `StreetsideExportWriterThread`.
        `queueImages` - Queue of `StreetsideAbstractImage` objects for the `StreetsideExportWriterThread`.

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### loadingFinished

          public void loadingFinished(org.openstreetmap.josm.data.cache.CacheEntry data,
                                      org.openstreetmap.josm.data.cache.CacheEntryAttributes attributes,
                                      org.openstreetmap.josm.data.cache.ICachedLoaderListener.LoadResult result)

      Specified by:
        `loadingFinished` in interface `org.openstreetmap.josm.data.cache.ICachedLoaderListener`

JOSM Plugins